
# S R V X 2

[[_TOC_]]

## Getting Started

[How to SSH / VNC / VPN](SSH-VPN-VNC/README.md)

## System Information
| Name | Value |
| --- | --- |
| Product | PowerEdge R940 |
| Processor | Intel(R) Xeon(R) Gold 6148 CPU @ 2.40GHz |
| Cores | 4 CPU,  20 physical cores per CPU, total 160 logical CPU units |
| CPU time | 700 kh | 
| Memory | 376 GB Total |
| Memory/Core | 9.4 GB |

## Software

The typcial installation of a intel-server has the INTEL Compiler suite (`intel-parallel-studio`) and the open source GNU Compilers installed. Based on these two different compilers (`intel`, `gnu`), there are usually two version of each scientific software.
Major Libraries:
 - OpenMPI (3.1.6, 4.0.5)
 - HDF5 
 - NetCDF (C, Fortran)
 - ECCODES from [ECMWF](https://confluence.ecmwf.int/display/ECC)
 - Math libraries e.g. intel-mkl, lapack,scalapack
 - Interpreters: Python, Julia
 - Tools: cdo, ncl, nco, ncview

These software libraries are usually handled by environment modules.

![](https://upload.wikimedia.org/wikipedia/en/thumb/0/0a/Environment_Modules_logo.svg/320px-Environment_Modules_logo.svg.png)

## Currently installed modules
```
$ module av
------------------------------ /home/spack-root/share/spack/modules/linux-centos8-skylake_avx512 ------------------------------
anaconda3/2020.07-gcc-8.3.1  intel-parallel-studio/composer.2020.2-intel-20.0.2  netcdf-fortran/4.5.3-gcc-8.3.1     
eccodes/2.18.0-intel-20.0.2  libemos/4.5.9-gcc-8.3.1                             netcdf-fortran/4.5.3-intel-20.0.2  
eccodes/2.19.1-gcc-8.3.1     miniconda3/4.8.2-gcc-8.3.1                          netlib-lapack/3.8.0-gcc-8.3.1      
eccodes/2.19.1-intel-20.0.2  miniconda3/4.9.2-gcc-8.3.1                          netlib-scalapack/2.1.0-gcc-8.3.1   
eccodes/2.21.0-intel-20.0.2  ncl/6.6.2-gcc-8.3.1                                 openblas/0.3.12-gcc-8.3.1          
hdf5/1.10.7-gcc-8.3.1        netcdf-c/4.7.4-gcc-8.3.1                            openmpi/3.1.6-gcc-8.3.1            
hdf5/1.10.7-intel-20.0.2     netcdf-c/4.7.4-intel-20.0.2                         openmpi/3.1.6-intel-20.0.2  
```
on how to use environment modules go to [Using Environment Modules](Misc/Environment-Modules.md)


